## org.gnu.gtk
Class SizeGroup

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.SizeGroup

public class SizeGroup
extends GObject

SizeGroup provides a mechanism for grouping a number of widgets together so they all request the same amount of space. This is typically useful when you want a column of widgets to have the same size, but you can't use a `Table` widget.

In detail, the size requested for each widget in a SizeGroup is the maximum of the sizes that would have been requested for each widget in the size group if they were not in the size group. The mode of the size group (see `setMode(SizeGroupMode)` determines whether this applies to the horizontal size, the vertical size, or both sizes.

Note that size groups only affect the amount of space requested, not the size that the widgets finally receive. If you want the widgets in a SizeGroup to actually be the same size, you need to pack them in such a way that they get the size they request and not more. For example, if you are packing your widgets into a table, you would not include the GTK_FILL flag.

Widgets can be part of multiple size groups; GTK+ will compute the horizontal size of a widget from the horizontal requisition of all widgets that can be reached from the widget by a chain of size groups of type GTK_SIZE_GROUP_HORIZONTAL or GTK_SIZE_GROUP_BOTH, and the vertical size from the vertical requisition of all widgets that can be reached from the widget by a chain of size groups of type GTK_SIZE_GROUP_VERTICAL or GTK_SIZE_GROUP_BOTH.

Constructor Summary
`SizeGroup(SizeGroupMode mode)` Create a new SizeGroup

Method Summary
`void` `addWidget(Widget widget)` Adds a widget to the SizeGroup.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `removeWidget(Widget widget)` Removes a widget from the group
`void` `setMode(SizeGroupMode mode)` Sets the `SizeGroupMode` of the size group.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SizeGroup

    public SizeGroup(SizeGroupMode mode)

  Create a new SizeGroup

Parameters:
  `mode` - The mode for the new Size Group

Method Detail

### setMode

    public void setMode(SizeGroupMode mode)

  Sets the `SizeGroupMode` of the size group. The mode of the size group determines whether the widgets in the size group should all have the same horizontal requisition (SizeGroupMode.HORIZONTAL) all have the same vertical requisition (SizeGroupMode.VERTICAL), or should all have the same requisition in both directions (SizeGroupMode.BOTH).

  Parameters:
    `mode` - The mode to set for the SizeGroup

### addWidget

    public void addWidget(Widget widget)

  Adds a widget to the SizeGroup. In the future, the requisition of the widget will be determined as the maximum of its requisition and the requisition of the other widgets in the size group. Whether this applies horizontally, vertically, or in both directions depends on the mode of the size group. See `setMode(SizeGroupMode)`.

  Parameters:
    `widget` - The Widget to add.

### removeWidget

    public void removeWidget(Widget widget)

  Removes a widget from the group

  Parameters:
    `widget` - The widget to remove

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.